function checklinkform()
{
	var strFileName=getId("logo").value.toLocaleLowerCase();
	var obj=getId("linkname");
	var obj2=getId("url");
	if (obj.value=="")
	{
		alert(lang("link_3?名称不能为空"));
		obj.focus();
		return false
	}
	if (obj2.value=="")
	{
		alert(lang("link_4?地址不能为空"));
		obj2.focus();
		return false
	}
	if(strFileName!=""){
		if (strFileName.indexOf(".gif")<0&&strFileName.indexOf(".jpg")<0)
		{
			alert(lang("link_5?LOGO图片只可以是GIF或JPG格式！"));
			getId("logo").focus();
			return false;
		}
	}	
	lock_button("Submit1","Submit2","loading","<img src=../skins/images/loading.gif> "+lan_savemes);
}